.map {
  position: relative;

  display: flex;
  flex-direction: column;

  width: 100%;
  height: 100vh;

  @media (width <= 768PX) {
    min-height: 100vh;
  }

  .safari & {
    @media (width <= 768PX) {
      height: initial;
      display: block;
    }
  }

  &__top {
    width: 100%;
    height: 100%;
    position: relative;

    @media (width <= 768PX) {
      min-height: 50vh;
    }
  }

  &__middle {
    width: 100%;

    background-color: $orange;
  }

  &__bottom {
    width: 100%;

    background-color: $footer;
  }
}

a[href^="http://maps.google.com/maps"] {
  display: none !important;
}

a[href^="https://maps.google.com/maps"] {
  display: none !important;
}

.gmnoprint a,
.gmnoprint span,
.gm-style-cc {
  display: none;
}

.gmnoprint div {
  background: none !important;
}

.contacts {
  &-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;

    width: 1170PX;
    max-width: 100%;
    height: 100%;
    margin: 0 auto;
    padding-top: 30px;
    padding-bottom: 30px;

    @media (width <= 600PX) {
      flex-direction: column;
    }
  }

  &__item {
    display: flex;
    align-items: center;
    justify-content: center;

    max-width: 33.33333%;
    width: 100%;
    flex: 1 1 auto;
    padding: 0 45px;

    font-family: $OpenSans;
    font-size: 16px;
    @media (width <= 1280PX)  {
      max-width: 33.33333%;
      padding: 0 15px;
    }
    @media (width <= 600PX) {
      margin-bottom: 20px;
      max-width:100%;
    }

    i {
      margin: 0 15px;

      color: #fff;

      font-size: 20px;
    }
  }

  &__content {
    display: block;

    a,
    address {
      display: block;

      color: #fff;

      font-size: 16px;
      font-style: normal;
      line-height: 1.2;
    }
  }
}

.footer {
  padding-top: 40px;

  &-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;

    width: 95%;
    max-width: 1170px;
    margin: auto;

    @media (width <= 768PX) {
      align-items: center;
      flex-direction: column;
      justify-content: center;
    }
  }

  &__copy {
    color: rgb(96, 96, 96);

    font-size: 12px;

    @media (width <= 768PX) {
      text-align: center;
    }
  }

  &__hub {
    display: block;

    width: 190px;
    margin: auto;
    margin-bottom: 16px;
    padding: 10px 0;

    text-align: center;

    color: $white;
    border: 1px solid $white;
    border-radius: 10px;

    font-size: 18px;
  }

  &__dev {
    display: block;

    width: 100%;
    margin-bottom: 30px;

    text-align: center;
    text-decoration: underline;

    color: $white;

    font-size: 18px;
    line-height: 1.5;
  }

  &__logo {
    width: 100%;

    @media (max-width: 769px) {
      margin: 30px 0;
    }
  }

  &__item {
    padding: * 20px;

    @media (width <= 599PX) {
      width: 100%;
    }

    &--first {
      display: flex;
      flex-direction: column;

      width: 220px;

      @media (width <= 768PX) {
        order: 1;

        width: 320px;
      }
    }

    &--form {
      display: flex;
      flex-direction: column;

      width: 300px;
    }
  }

  &__question {
    margin-bottom: 30px;

    text-align: left;

    color: $white;

    font-size: 24px;
    line-height: 1.2;

    @media (width <= 768PX) {
      text-align: center;
    }
  }

  &__input {
    height: 35px;
    margin-bottom: 20px;
    padding: * 10px;

    color: $textGray;
    border: none;
    border-radius: 5px;

    font-size: 16px;
    line-height: 35px;

    &.error {
      margin-bottom: 5px;

      border: 2px solid red;
    }

    &.valid {
      border: 2px solid green;
    }
  }

  label {
    margin-bottom: 10px;

    color: $white;

    font-size: 16px;
  }

  &__textarea {
    width: 100%;
    height: 150px;
    margin-bottom: 20px;
    padding: 15px 10px;

    resize: none;

    color: $textGray;
    border: none;
    border-radius: 5px;

    font-size: 16px;
    line-height: 20px;
  }

  &__btn {
    display: block;

    width: 190px;
    margin: auto;
    margin-bottom: 16px;
    padding: 10px 0;

    cursor: pointer;
    text-align: center;

    color: $white;
    border: 1px solid $white;
    border-radius: 10px;
    background-color: transparent;

    font-size: 18px;
  }

  &-nav {
    &__item {
      margin-bottom: 20px;

      @media (width <= 768PX) {
        text-align: center;
      }

      a {
        color: $white;

        font-family: $OpenSans;
        font-size: 18px;
        line-height: 1.2;
      }
    }
  }
}
.ie {
  .footer__logo {
    width: 138px;
    height: 46px;
  }
  .footer__btn {
    margin-top: 0;
  }
  .checkin__text{
    margin-bottom: 15px;
  }
  .map__bottom{
    min-height: 590PX;
  }
}
